WPGraphQL 0.2.3 WordPress modul többszörös sérülékenysége

CH azonosító: CH-14608
Cím: WPGraphQL 0.2.3 WordPress modul többszörös sérülékenysége
Angol cím: WPGraphQL 0.2.3 Multiple Vulnerabilities

Publikálás dátuma: 2019.06.18.
Utolsó módosítás dátuma: 2019.06.18.


Leírás

A WPGraphQL 0.2.3 WordPress modul sérülékenysége vált ismertté, amelynek kihasználásával lehetséges adminisztrátori jogosultságú új felhasználót létrehozni.

 


Leírás forrása: Other:https://nvd.nist.gov/vuln/detail/CVE-2019-9879


Elemzés leírás

A támadó a hibát kihasználva, illetéktelenül hozzáférhet a RegisterUser függvényhez, így adminisztrátori jogú felhasználókat hozhat létre.

Érintett verzió: WPGraphQL 0.2.3

Megoldás: Frissítés a 0.3.0-s vagy újabb verzióra.


Elemzés leírás forrása: Egyéb referencia: wpvulndb.com


Hatás

CVSS3 Súlyosság és Metrika

Alap pontszám: 9.8 (Kritikus)
Vektor: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Hatás pontszáma: 5.9
Kihasználhatóság pontszáma: 3.9


Támadás Vektora (AV): Hálózat
Támadás komplexitása (AC): Alacsony
Jogosultság Szükséges (PR): Nincs
Felhasználói Interakció (UI): Nincs
Hatókör (S): Nem változott
Bizalmasság Hatása (C): Magas
Sértetlenség Hatása (I): Magas
Rendelkezésre állás Hatása (A): Magas

CVSS2 Súlyosság és Metrika

Alap pontszám: 7.5 (Magas)
Vektor: AV:N/AC:L/Au:N/C:P/I:P/A:P
Hatás alpontszáma: 6.4
Kihasználhatóság alpontszáma: 10.0


Hozzáférés Vektora (AV): Hálózat
Hozzáférés Komplexitása (AC): Alacsony
Bizalmasság Hatása (C): Rész
Sértetlenség Hatása (S): Rész
Rendelkezésre állás Hatása (A): Rész


Hivatkozások

CVE-2019-9879 - NVD CVE-2019-9879
https://wpvulndb.com/vulnerabilities/9282
https://nvd.nist.gov/vuln/detail/CVE-2019-9879